routes/web.php
<?php
/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/',  function () {
    return view('welcome');
});

Auth::routes();

Route::get('/forum', 'ForumController@index')->name('forum');

Route::resource('discussion', 'DiscussionsController');

Route::get('/discussion/{slug}/', [
    'uses'   =>  'DiscussionsController@show',
    'as'     =>  'discussion'
]);

Route::get('/channel/{slug}/', [
    'uses'   =>  'ForumController@channel',
    'as'     =>  'channel'
]);

//Social auth routes
Route::get('socialauth/{provider}', 'Auth\SocialAuthController@redirectToProvider');
Route::get('socialauth/{provider}/callback', 'Auth\SocialAuthController@handleProviderCallback');



Route::group(['middleware' => 'auth'], function(){
    Route::resource('channels', 'ChannelsController');
    Route::post('channel/delete', 'ChannelsController@destroy');
    Route::post('channel/update', 'ChannelsController@update');
});

Route::post('reply/store', 'ReplyController@store');

Route::post('like/store', 'LikesController@store');

Route::post('/reply/unlike', [
    'uses' => 'LikesController@destroy',
    'as' => 'reply.unlike'
]);

Route::get('/edit/profile', [
   'uses'   =>  'ProfileController@edit',
   'as'     =>  'edit.profile'
]);

Route::post('/edit/profile/save', [
    'uses'   =>  'ProfileController@store',
    'as'     =>  'profile.store'
]);

Route::get('/changePassword','ChangePasswordController@showChangePasswordForm')->name('changePassword.page');
Route::post('/changePassword','ChangePasswordController@changePassword')->name('changePassword');

Route::get('/subscribe/{id}','SubscribesController@subscribe')->name('subscribe');
Route::get('/unsubscribe/{id}','SubscribesController@unSubscribe')->name('unSubscribe');

Route::get('/results', function(){
   $dis = \App\Discussion::where('title', 'like', '%' . request('search') . '%')->get();

   return view('result')->with('dis', $dis);
});

Route::get('/best-answer/{id}', [
    'uses'  =>  'ReplyController@bestAnswer',
    'as'    =>  'best.reply'
]);

//Route::get('/testing', function(){
//   return view('testing');
//});


Route::get('/notifications', function(){
   return view('noti')->with('notis', \App\Notification::all());
})->name('noti');

resources/views/layouts/app.blade.php
<!DOCTYPE html>
<html lang="{{ str_replace('_', '-', app()->getLocale()) }}">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <!-- CSRF Token -->
    <meta name="csrf-token" content="{{ csrf_token() }}">

    <title>{{ config('app.name', 'Laravel') }}</title>

    <!-- Scripts -->
    <script src="{{ asset('js/app.js') }}" defer></script>
    <script src="{{ asset('js/toastr.js') }}" defer></script>

    <!-- Fonts -->
    <link rel="dns-prefetch" href="https://fonts.gstatic.com">
    <link href="https://fonts.googleapis.com/css?family=Nunito" rel="stylesheet" type="text/css">
    <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.4.1/css/all.css" integrity="sha384-5sAR7xN1Nv6T6+dT2mhtzEpVJvfS3NScPQTrOxhwjIuvcA67KV2R5Jz6kr4abQsz" crossorigin="anonymous">

    <!-- Styles -->
    <link href="{{ asset('css/app.css') }}" rel="stylesheet">
    <link href="{{ asset('css/toastr.css') }}" rel="stylesheet">
    <style>
        input[type=text] {
            width: 130px;
            box-sizing: border-box;
            border: 2px solid #ccc;
            border-radius: 4px;
            font-size: 16px;
            background-color: white;
            background-image: url('searchicon.png');
            background-position: 10px 10px;
            background-repeat: no-repeat;
            padding: 12px 20px 12px 40px;
            -webkit-transition: width 0.4s ease-in-out;
            transition: width 0.4s ease-in-out;
        }

        input[type=text]:focus {
            width: 100%;
        }
    </style>

</head>
<body>
    <div id="app">
        <nav class="navbar navbar-expand-md navbar-light navbar-laravel">
            <div class="container">
                <a class="navbar-brand" href="{{ url('/') }}">
                    {{ config('app.name', 'Laravel') }}
                </a>
                <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="{{ __('Toggle navigation') }}">
                    <span class="navbar-toggler-icon"></span>
                </button>

                <div class="collapse navbar-collapse" id="navbarSupportedContent">
                    <!-- Left Side Of Navbar -->
                    <ul class="navbar-nav mr-auto">

                    </ul>

                    <!-- Right Side Of Navbar -->
                    <ul class="navbar-nav ml-auto">
                        <!-- Authentication Links -->
                        @guest
                            <li class="nav-item">
                                <a class="nav-link" href="{{ route('login') }}">{{ __('Login') }}</a>
                            </li>
                            <li class="nav-item">
                                @if (Route::has('register'))
                                    <a class="nav-link" href="{{ route('register') }}">{{ __('Register') }}</a>
                                @endif
                            </li>
                        @else
                            <li class="nav-item dropdown">
                                <a id="navbarDropdown" class="nav-link dropdown-toggle" href="#" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false" v-pre>
                                    {{ Auth::user()->name }} <span class="caret"></span>
                                </a>

                                <div class="dropdown-menu dropdown-menu-right" aria-labelledby="navbarDropdown">
                                    <a class="dropdown-item" href="{{ route('logout') }}"
                                       onclick="event.preventDefault();
                                                     document.getElementById('logout-form').submit();">
                                        {{ __('Logout') }}
                                    </a>

                                    <form id="logout-form" action="{{ route('logout') }}" method="POST" style="display: none;">
                                        @csrf
                                    </form>
                                </div>
                            </li>
                        @endguest
                    </ul>
                </div>
            </div>
        </nav><br>

            <div class="container">
                <div class="row">
                    <div class="col-md-4">

                        <a class="btn btn-success form-control" href="{{route('discussion.index')}}">Create a new discussion</a>

                        <div class="card">
                            <div class="card-header">
                                <ul class="list-group">
                                <li class="list-group-item"><a style="text-decoration: none" href="{{route('forum')}}">Home</a><br></li>
                                <li class="list-group-item"><a style="text-decoration: none" href="{{route('edit.profile')}}">Edit profile</a></li>
                                <li class="list-group-item"><a style="text-decoration: none" href="{{route('changePassword.page')}}">Change password</a></li>
                                <li class="list-group-item"><a style="text-decoration: none" href="{{route('noti')}}">Notifications

                                        {{--@if(Auth::check())--}}
                                            {{--{{$noti->user->notifications->count()}}--}}
                                        {{--@endif--}}


                                    </a></li>




                                </ul>
                            </div>
                        </div>

                        <div class="card">
                            <div class="card-header">
                                <div onMouseOver="this.style.color='#2FA360'" onMouseOut="this.style.color='#00F'">Channels</div>
                            </div>
                            <div class="card-body">
                                <ul class="list-group">
                                    @foreach($channels as $channel)
                                        <li class="list-group-item">
                                            <a style="text-decoration: none" href="{{route('channel', ['slug' => $channel->slug])}}">{{$channel->title}}</a>
                                        </li>
                                    @endforeach
                                </ul>
                            </div>
                        </div>

                    </div>
                    <div class="col-md-8">
                        @yield('content')
                    </div>
                </div>
            </div>
    </div>
</body>
</html>